#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os, glob

def do_merge_rgb(imgfname) :
    image = pdb.gimp_file_load(imgfname, "")
#                             load ImageJ TIFF file
    image.filename = imgfname  + "_.xcf" #change image filename
    disp = pdb.gimp_display_new(image) #display image
    #image = gimp.image_list()[0]
    pdb.gimp_edit_copy(image.layers[0])
    blue = pdb.gimp_edit_paste_as_new_image()
    pdb.gimp_edit_copy(image.layers[1])
    green = pdb.gimp_edit_paste_as_new_image()
    pdb.gimp_edit_copy(image.layers[2])
    red = pdb.gimp_edit_paste_as_new_image()
    compose = pdb.plug_in_compose(red, image.layers[0], green, blue, blue,"RGB")#             "image.layers[0]" & second "blue" for dummy parameters
    compose.filename = imgfname  + "_RGBmerged.xcf"
    disp = pdb.gimp_display_new(compose)
    drawable = pdb.gimp_image_get_active_layer(compose)
    pdb.file_tiff_save(compose, drawable, imgfname  + "_RGBmerged.tif", imgfname  + "_RGBmerged.tif", 3)
#
    return

register(
    "ImageJ_Multi_Page_TIFF_to_RGB_Merged",
    "RGB Merge for ImageJ multi page TIFF",
    "RGB Merge for ImageJ multi page TIFF",
    "Ohnishi, Yasuo",
    "Public Domain",
    "2023 Ver 0.1",
    "Open ImageJ RGB TIFF file...",
    "",      # Alternately use RGB, RGB*, GRAY*, INDEXED etc.
    [
        (PF_FILE, "imgfname", "Select Original Image file", ""),
    ],
    [],
    do_merge_rgb, menu="<Image>/File/Open" )
main()

